<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>Z:/Project/development/PSCIP/driver/pscipacq.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.7.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Z:/Project/development/PSCIP/driver/pscipacq.c File Reference</h1><code>#include &lt;linux/module.h&gt;</code><br>
<code>#include &lt;linux/types.h&gt;</code><br>
<code>#include &lt;linux/errno.h&gt;</code><br>
<code>#include &lt;linux/proc_fs.h&gt;</code><br>
<code>#include &lt;linux/interrupt.h&gt;</code><br>
<code>#include &lt;linux/delay.h&gt;</code><br>
<code>#include &lt;asm/io.h&gt;</code><br>
<code>#include &lt;asm/uaccess.h&gt;</code><br>
<code>#include &lt;rtai.h&gt;</code><br>
<code>#include &lt;rtai_sched.h&gt;</code><br>
<code>#include &lt;rt_shmem_defs.h&gt;</code><br>
<code>#include &quot;<a class="el" href="pscip_8h-source.html">pscip.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="k__pscip_8h-source.html">k_pscip.h</a>&quot;</code><br>
<code>#include &quot;gpbf.h&quot;</code><br>

<p>
<div class="dynheader">
Include dependency graph for pscipacq.c:</div>
<div class="dynsection">
<p><center><img src="pscipacq_8c__incl.gif" border="0" usemap="#Z:/Project/development/PSCIP/driver/pscipacq.c_map" alt=""></center>
</div>

<p>
<a href="pscipacq_8c-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#70a3c3ba218bbc0a662870f6a3d5755f">TOT_BUF</a>&nbsp;&nbsp;&nbsp;4</td></tr>

<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#c811cd7b705301a7126b97e108348b47">pscip_thread</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#e5c1d68a1bf35e164a65ba3f7dafe6d5">psc_task_init</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#2677b861028136eb22327093b0be9a3e">pscip_task_delete</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#56064044d42fabf92e88abb2c4a61c79">cleanup_module</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#0833789462b1cddf0b1e59c9daab88e8">init_module</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#053aa2d984a71368fd527a27e3766622">MODULE_PARM</a> (<a class="el" href="pscipacq_8c.html#d6a2103a4731b848a3e7ec84e59473ce">vmeaddr</a>,&quot;i&quot;)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#26ecf4359497ca8d1b052a36ebce66f2">MODULE_PARM</a> (<a class="el" href="pscipacq_8c.html#e0d22272b68e75d19ac0b80c01f806b6">freq</a>,&quot;i&quot;)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#50dc5531725c1dff48a1c1ebcd7df9e2">MODULE_PARM_DESC</a> (<a class="el" href="pscipacq_8c.html#d6a2103a4731b848a3e7ec84e59473ce">vmeaddr</a>,&quot;PSCIP vme address&quot;)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#45be1e5743aafba48f44a1cc352b51c2">MODULE_AUTHOR</a> (&quot;Giulio Gaio&quot;)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#5b76fe1c3226910201620eaf1e5c645f">MODULE_DESCRIPTION</a> (&quot;PSCIP fast acquisition module&quot;)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#d94b36675e7eb067ea3ce6ff9e244a44">MODULE_LICENSE</a> (&quot;GPL&quot;)</td></tr>

<tr><td colspan="2"><br><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#a050cc11178fbd69d80d7ec883b809e3">buf_idx</a> [TOT_BUF]</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static gpbf_manag_t *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#7e1c0b645fb607faf2f0cff7df10eb93">gpbfm</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static gpbf_data_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#8e9322058360ecd519bda5e380bfe6d8">datat</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#e0d22272b68e75d19ac0b80c01f806b6">freq</a> = 1000</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#c707e36519aa65b9b123bcec1c62fcaa">pscip_t_s</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static RT_TASK&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#d372a8860837ddd7260965a6678c04d5">pscip_task</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static RTIME&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#177761dcde873f4ff185972cf425472d">pscip_now</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static RTIME&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#fddaccec8fd3daeb7c362573d7048c32">pscip_tick</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#4c2d9327de87c6be0b54f793adc7f1fb">module_name</a> = &quot;pscipacq&quot;</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#c3b08da755e3580f678c98552d066a18">id_pscip</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscipacq_8c.html#d6a2103a4731b848a3e7ec84e59473ce">vmeaddr</a> = 0xffff6000</td></tr>

</table>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="70a3c3ba218bbc0a662870f6a3d5755f"></a><!-- doxytag: member="pscipacq.c::TOT_BUF" ref="70a3c3ba218bbc0a662870f6a3d5755f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TOT_BUF&nbsp;&nbsp;&nbsp;4          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscipacq_8c-source.html#l00027">27</a> of file <a class="el" href="pscipacq_8c-source.html">pscipacq.c</a>.</p>

</div>
</div><p>
<hr><h2>Function Documentation</h2>
<a class="anchor" name="56064044d42fabf92e88abb2c4a61c79"></a><!-- doxytag: member="pscipacq.c::cleanup_module" ref="56064044d42fabf92e88abb2c4a61c79" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void cleanup_module           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscipacq_8c-source.html#l00124">124</a> of file <a class="el" href="pscipacq_8c-source.html">pscipacq.c</a>.</p>

<p>References <a class="el" href="pscipacq_8c-source.html#l00030">buf_idx</a>, <a class="el" href="pscipacq_8c-source.html#l00031">gpbfm</a>, and <a class="el" href="pscipacq_8c-source.html#l00112">pscip_task_delete()</a>.</p>

</div>
</div><p>
<a class="anchor" name="0833789462b1cddf0b1e59c9daab88e8"></a><!-- doxytag: member="pscipacq.c::init_module" ref="0833789462b1cddf0b1e59c9daab88e8" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static int init_module           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscipacq_8c-source.html#l00141">141</a> of file <a class="el" href="pscipacq_8c-source.html">pscipacq.c</a>.</p>

<p>References <a class="el" href="pscipacq_8c-source.html#l00030">buf_idx</a>, <a class="el" href="pscipacq_8c-source.html#l00032">datat</a>, <a class="el" href="pscipacq_8c-source.html#l00031">gpbfm</a>, <a class="el" href="pscip_8c-source.html#l00109">module_name</a>, and <a class="el" href="pscipacq_8c-source.html#l00092">psc_task_init()</a>.</p>

</div>
</div><p>
<a class="anchor" name="45be1e5743aafba48f44a1cc352b51c2"></a><!-- doxytag: member="pscipacq.c::MODULE_AUTHOR" ref="45be1e5743aafba48f44a1cc352b51c2" args="(&quot;Giulio Gaio&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">MODULE_AUTHOR           </td>
          <td>(</td>
          <td class="paramtype">&quot;Giulio Gaio&quot;&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="5b76fe1c3226910201620eaf1e5c645f"></a><!-- doxytag: member="pscipacq.c::MODULE_DESCRIPTION" ref="5b76fe1c3226910201620eaf1e5c645f" args="(&quot;PSCIP fast acquisition module&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">MODULE_DESCRIPTION           </td>
          <td>(</td>
          <td class="paramtype">&quot;PSCIP fast acquisition module&quot;&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="d94b36675e7eb067ea3ce6ff9e244a44"></a><!-- doxytag: member="pscipacq.c::MODULE_LICENSE" ref="d94b36675e7eb067ea3ce6ff9e244a44" args="(&quot;GPL&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">MODULE_LICENSE           </td>
          <td>(</td>
          <td class="paramtype">&quot;GPL&quot;&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="26ecf4359497ca8d1b052a36ebce66f2"></a><!-- doxytag: member="pscipacq.c::MODULE_PARM" ref="26ecf4359497ca8d1b052a36ebce66f2" args="(freq,&quot;i&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">MODULE_PARM           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="pscipacq_8c.html#e0d22272b68e75d19ac0b80c01f806b6">freq</a>&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;i&quot;&nbsp;</td>
          <td class="paramname"></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="053aa2d984a71368fd527a27e3766622"></a><!-- doxytag: member="pscipacq.c::MODULE_PARM" ref="053aa2d984a71368fd527a27e3766622" args="(vmeaddr,&quot;i&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">MODULE_PARM           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="pscipacq_8c.html#d6a2103a4731b848a3e7ec84e59473ce">vmeaddr</a>&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;i&quot;&nbsp;</td>
          <td class="paramname"></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="50dc5531725c1dff48a1c1ebcd7df9e2"></a><!-- doxytag: member="pscipacq.c::MODULE_PARM_DESC" ref="50dc5531725c1dff48a1c1ebcd7df9e2" args="(vmeaddr,&quot;PSCIP vme address&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">MODULE_PARM_DESC           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="pscipacq_8c.html#d6a2103a4731b848a3e7ec84e59473ce">vmeaddr</a>&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;PSCIP vme address&quot;&nbsp;</td>
          <td class="paramname"></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="e5c1d68a1bf35e164a65ba3f7dafe6d5"></a><!-- doxytag: member="pscipacq.c::psc_task_init" ref="e5c1d68a1bf35e164a65ba3f7dafe6d5" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void psc_task_init           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscipacq_8c-source.html#l00092">92</a> of file <a class="el" href="pscipacq_8c-source.html">pscipacq.c</a>.</p>

<p>References <a class="el" href="pscipacq_8c-source.html#l00035">freq</a>, <a class="el" href="pscipacq_8c-source.html#l00040">pscip_now</a>, <a class="el" href="pscipacq_8c-source.html#l00038">pscip_t_s</a>, <a class="el" href="pscipacq_8c-source.html#l00039">pscip_task</a>, <a class="el" href="pscipacq_8c-source.html#l00052">pscip_thread()</a>, and <a class="el" href="pscipacq_8c-source.html#l00040">pscip_tick</a>.</p>

<p>Referenced by <a class="el" href="pscipacq_8c-source.html#l00141">init_module()</a>.</p>

</div>
</div><p>
<a class="anchor" name="2677b861028136eb22327093b0be9a3e"></a><!-- doxytag: member="pscipacq.c::pscip_task_delete" ref="2677b861028136eb22327093b0be9a3e" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void pscip_task_delete           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscipacq_8c-source.html#l00112">112</a> of file <a class="el" href="pscipacq_8c-source.html">pscipacq.c</a>.</p>

<p>References <a class="el" href="pscipacq_8c-source.html#l00039">pscip_task</a>.</p>

<p>Referenced by <a class="el" href="pscipacq_8c-source.html#l00124">cleanup_module()</a>.</p>

</div>
</div><p>
<a class="anchor" name="c811cd7b705301a7126b97e108348b47"></a><!-- doxytag: member="pscipacq.c::pscip_thread" ref="c811cd7b705301a7126b97e108348b47" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void pscip_thread           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscipacq_8c-source.html#l00052">52</a> of file <a class="el" href="pscipacq_8c-source.html">pscipacq.c</a>.</p>

<p>References <a class="el" href="pscip_8h-source.html#l00024">pscip_t::address</a>, <a class="el" href="pscipacq_8c-source.html#l00030">buf_idx</a>, <a class="el" href="pscip_8h-source.html#l00023">pscip_t::chan</a>, <a class="el" href="pscip_8h-source.html#l00026">pscip_t::data</a>, <a class="el" href="pscipacq_8c-source.html#l00032">datat</a>, <a class="el" href="pscipacq_8c-source.html#l00031">gpbfm</a>, <a class="el" href="pscipacq_8c-source.html#l00043">id_pscip</a>, <a class="el" href="k__pscip_8c-source.html#l00431">k_pscip_read()</a>, <a class="el" href="pscip_8h-source.html#l00024">pscip_t::stat</a>, and <a class="el" href="test_8c-source.html#l00042">val</a>.</p>

<p>Referenced by <a class="el" href="pscipacq_8c-source.html#l00092">psc_task_init()</a>.</p>

</div>
</div><p>
<hr><h2>Variable Documentation</h2>
<a class="anchor" name="a050cc11178fbd69d80d7ec883b809e3"></a><!-- doxytag: member="pscipacq.c::buf_idx" ref="a050cc11178fbd69d80d7ec883b809e3" args="[TOT_BUF]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="pscipacq_8c.html#a050cc11178fbd69d80d7ec883b809e3">buf_idx</a>[TOT_BUF]<code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscipacq_8c-source.html#l00030">30</a> of file <a class="el" href="pscipacq_8c-source.html">pscipacq.c</a>.</p>

<p>Referenced by <a class="el" href="pscipacq_8c-source.html#l00124">cleanup_module()</a>, <a class="el" href="pscipacq_8c-source.html#l00141">init_module()</a>, and <a class="el" href="pscipacq_8c-source.html#l00052">pscip_thread()</a>.</p>

</div>
</div><p>
<a class="anchor" name="8e9322058360ecd519bda5e380bfe6d8"></a><!-- doxytag: member="pscipacq.c::datat" ref="8e9322058360ecd519bda5e380bfe6d8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpbf_data_t <a class="el" href="pscipacq_8c.html#8e9322058360ecd519bda5e380bfe6d8">datat</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscipacq_8c-source.html#l00032">32</a> of file <a class="el" href="pscipacq_8c-source.html">pscipacq.c</a>.</p>

<p>Referenced by <a class="el" href="pscipacq_8c-source.html#l00141">init_module()</a>, and <a class="el" href="pscipacq_8c-source.html#l00052">pscip_thread()</a>.</p>

</div>
</div><p>
<a class="anchor" name="e0d22272b68e75d19ac0b80c01f806b6"></a><!-- doxytag: member="pscipacq.c::freq" ref="e0d22272b68e75d19ac0b80c01f806b6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="pscipacq_8c.html#e0d22272b68e75d19ac0b80c01f806b6">freq</a> = 1000<code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscipacq_8c-source.html#l00035">35</a> of file <a class="el" href="pscipacq_8c-source.html">pscipacq.c</a>.</p>

<p>Referenced by <a class="el" href="pscipacq_8c-source.html#l00092">psc_task_init()</a>.</p>

</div>
</div><p>
<a class="anchor" name="7e1c0b645fb607faf2f0cff7df10eb93"></a><!-- doxytag: member="pscipacq.c::gpbfm" ref="7e1c0b645fb607faf2f0cff7df10eb93" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpbf_manag_t* <a class="el" href="pscipacq_8c.html#7e1c0b645fb607faf2f0cff7df10eb93">gpbfm</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscipacq_8c-source.html#l00031">31</a> of file <a class="el" href="pscipacq_8c-source.html">pscipacq.c</a>.</p>

<p>Referenced by <a class="el" href="pscipacq_8c-source.html#l00124">cleanup_module()</a>, <a class="el" href="pscipacq_8c-source.html#l00141">init_module()</a>, and <a class="el" href="pscipacq_8c-source.html#l00052">pscip_thread()</a>.</p>

</div>
</div><p>
<a class="anchor" name="c3b08da755e3580f678c98552d066a18"></a><!-- doxytag: member="pscipacq.c::id_pscip" ref="c3b08da755e3580f678c98552d066a18" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="pscipacq_8c.html#c3b08da755e3580f678c98552d066a18">id_pscip</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscipacq_8c-source.html#l00043">43</a> of file <a class="el" href="pscipacq_8c-source.html">pscipacq.c</a>.</p>

<p>Referenced by <a class="el" href="pscip_8c-source.html#l00302">pscip_ioctl()</a>, <a class="el" href="pscip_8c-source.html#l00879">pscip_read_proc()</a>, <a class="el" href="pscipacq_8c-source.html#l00052">pscip_thread()</a>, and <a class="el" href="pscip_8c-source.html#l00964">pscip_write_proc()</a>.</p>

</div>
</div><p>
<a class="anchor" name="4c2d9327de87c6be0b54f793adc7f1fb"></a><!-- doxytag: member="pscipacq.c::module_name" ref="4c2d9327de87c6be0b54f793adc7f1fb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* <a class="el" href="pscipacq_8c.html#4c2d9327de87c6be0b54f793adc7f1fb">module_name</a> = &quot;pscipacq&quot;<code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscipacq_8c-source.html#l00042">42</a> of file <a class="el" href="pscipacq_8c-source.html">pscipacq.c</a>.</p>

</div>
</div><p>
<a class="anchor" name="177761dcde873f4ff185972cf425472d"></a><!-- doxytag: member="pscipacq.c::pscip_now" ref="177761dcde873f4ff185972cf425472d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">RTIME <a class="el" href="pscipacq_8c.html#177761dcde873f4ff185972cf425472d">pscip_now</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscipacq_8c-source.html#l00040">40</a> of file <a class="el" href="pscipacq_8c-source.html">pscipacq.c</a>.</p>

<p>Referenced by <a class="el" href="pscipacq_8c-source.html#l00092">psc_task_init()</a>.</p>

</div>
</div><p>
<a class="anchor" name="c707e36519aa65b9b123bcec1c62fcaa"></a><!-- doxytag: member="pscipacq.c::pscip_t_s" ref="c707e36519aa65b9b123bcec1c62fcaa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="pscipacq_8c.html#c707e36519aa65b9b123bcec1c62fcaa">pscip_t_s</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscipacq_8c-source.html#l00038">38</a> of file <a class="el" href="pscipacq_8c-source.html">pscipacq.c</a>.</p>

<p>Referenced by <a class="el" href="pscipacq_8c-source.html#l00092">psc_task_init()</a>.</p>

</div>
</div><p>
<a class="anchor" name="d372a8860837ddd7260965a6678c04d5"></a><!-- doxytag: member="pscipacq.c::pscip_task" ref="d372a8860837ddd7260965a6678c04d5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">RT_TASK <a class="el" href="pscipacq_8c.html#d372a8860837ddd7260965a6678c04d5">pscip_task</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscipacq_8c-source.html#l00039">39</a> of file <a class="el" href="pscipacq_8c-source.html">pscipacq.c</a>.</p>

<p>Referenced by <a class="el" href="pscipacq_8c-source.html#l00092">psc_task_init()</a>, and <a class="el" href="pscipacq_8c-source.html#l00112">pscip_task_delete()</a>.</p>

</div>
</div><p>
<a class="anchor" name="fddaccec8fd3daeb7c362573d7048c32"></a><!-- doxytag: member="pscipacq.c::pscip_tick" ref="fddaccec8fd3daeb7c362573d7048c32" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">RTIME <a class="el" href="pscipacq_8c.html#fddaccec8fd3daeb7c362573d7048c32">pscip_tick</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscipacq_8c-source.html#l00040">40</a> of file <a class="el" href="pscipacq_8c-source.html">pscipacq.c</a>.</p>

<p>Referenced by <a class="el" href="pscipacq_8c-source.html#l00092">psc_task_init()</a>.</p>

</div>
</div><p>
<a class="anchor" name="d6a2103a4731b848a3e7ec84e59473ce"></a><!-- doxytag: member="pscipacq.c::vmeaddr" ref="d6a2103a4731b848a3e7ec84e59473ce" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="pscipacq_8c.html#d6a2103a4731b848a3e7ec84e59473ce">vmeaddr</a> = 0xffff6000<code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscipacq_8c-source.html#l00046">46</a> of file <a class="el" href="pscipacq_8c-source.html">pscipacq.c</a>.</p>

</div>
</div><p>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Dec 5 17:49:45 2008 by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.7.1 </small></address>
</body>
</html>
